---
title: Support
---

# Support

## The Google API Client Library for Java community

### Ask development questions

Ask questions on StackOverflow:

* When you ask questions about the Google API Client Library for Java, use the
  [google-api-java-client][so-google-api-client] tag. Before you post a new
  question, review the [most asked questions][so-maq].
* For questions about Google APIs, use the [google-api][so-google-api] tag.
* Optionally include a tag to specify the language or platform, for example
  [java][so-java], [android][so-android], or [google-app-engine][so-java-gae].
* For tips on asking StackOverflow questions, see [How to Ask][so-how-to-ask].

<aside class="note"><strong>Note:</strong> Please do not email the project
contributors directly.</aside>

### File feature requests and defects

You can suggest features and report issues on our public [Issue Tracker][issues].
This is a great place for the community to discuss and track implementations of
features or resolution of bug fixes, as well as share workarounds and patches.

If you find a bug:

* View [known bugs][bugs], and if a known bug corresponds to the issue you are
  seeing, "star" it or comment on it.
* If the issue you are seeing has not yet been reported,
  [file a bug report][new-issue].

If you have a feature request:

* View [existing feature requests][feature-requests], and if a requested feature
  corresponds to a feature you would like, "star" it or comment on it .
* If the feature has not yet been requested, 
  [file a feature request][new-issue].

### Contribute

This is an [open-source][api-client] library, and [contributions][contributions]
are welcome.

### Keep up with the library

You can also take a look at the [release notes][releases].

[so-google-api-client]: http://stackoverflow.com/questions/tagged/google-api-java-client
[so-maq]: http://stackoverflow.com/questions/tagged/google-api-java-client?sort=faq&amp;pagesize=50
[so-google-api]: http://stackoverflow.com/questions/tagged/google-api
[so-java]: http://stackoverflow.com/questions/tagged/google-api-java-client+java
[so-android]: http://stackoverflow.com/questions/tagged/google-api-java-client+android
[so-java-gae]: http://stackoverflow.com/questions/tagged/google-api-java-client+java+google-app-engine
[so-how-to-ask]: http://stackoverflow.com/questions/ask
[issues]: https://github.com/googleapis/google-api-java-client/issues
[bugs]: https://github.com/googleapis/google-api-java-client/issues?q=is%3Aissue+is%3Aopen+label%3A%22type%3A+bug%22
[feature-requests]: https://github.com/googleapis/google-api-java-client/issues?q=is%3Aissue+is%3Aopen+label%3A%22type%3A+feature+request%22
[new-issue]: https://github.com/google/google-api-java-client/issues/new
[api-client]: https://github.com/googleapis/google-api-java-client
[contributions]: https://github.com/googleapis/google-api-java-client/blob/master/CONTRIBUTING.md
[releases]: https://github.com/googleapis/google-api-java-client/releases

